﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0" />
    <title>Loyalty Engine Point</title>

    <!--=== CSS ===-->
    <!-- Bootstrap -->
    <link href="@Links.Assets.bootstrap.css.bootstrap_min_css" rel="stylesheet" type="text/css" />

    <!-- jQuery UI -->
    <!--<link href="plugins/jquery-ui/jquery-ui-1.10.2.custom.css" rel="stylesheet" type="text/css" />-->
    <!--[if lt IE 9]>
        <link rel="stylesheet" type="text/css" href="plugins/jquery-ui/jquery.ui.1.10.2.ie.css"/>
    <![endif]-->
    <!-- Theme -->
    <link href="@Links.Assets.assets.css.main_css" rel="stylesheet" type="text/css" />
    <link href="@Links.Assets.assets.css.plugins_css" rel="stylesheet" type="text/css" />
    <link href="@Links.Assets.assets.css.responsive_css" rel="stylesheet" type="text/css" />
    <link href="@Links.Assets.assets.css.icons_css" rel="stylesheet" type="text/css" />

    <link rel="stylesheet" href="@Links.Assets.assets.css.fontawesome.font_awesome_min_css">
    <!--[if IE 7]>
        <link rel="stylesheet" href="assets/css/fontawesome/font-awesome-ie7.min.css">
    <![endif]-->
    <!--[if IE 8]>
        <link href="assets/css/ie8.css" rel="stylesheet" type="text/css" />
    <![endif]-->
    <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,600,700' rel='stylesheet' type='text/css'>

    <link href="@Links.Content.Gridmvc_css" rel="stylesheet">
 <link href="@Links.Content.gridmvc_datepicker_min_css" rel="stylesheet">
    <link href="@Links.Content.ladda_bootstrap.ladda_themeless_min_css" rel="stylesheet">

    <link href="@Links.Assets.assets.css.slick_css" rel="stylesheet">

    @RenderSection("HeaderStyle", required: false)
</head>

<body>
    <div class="submit-loader" style="display: none">
        <div class="loader-gif"></div>
      
    </div>

    @RenderSection("BodyScript", required: false)

    <!-- Header -->
    <header class="header navbar navbar-fixed-top" role="banner">
        <!-- Top Navigation Bar -->
        @{Html.RenderAction(MVC.Widget.TopNavigationBar());}
        <!-- /top navigation bar -->
    </header>
    <!-- /.header -->

    <div id="container">
        <div id="sidebar" class="sidebar-fixed">
            <div id="sidebar-content">
                <!--=== Navigation ===-->
                @{Html.RenderAction(MVC.Widget.Navigation());}
                <!-- /Navigation -->


            </div>
            <div id="divider" class="resizeable"></div>
        </div>
        <!-- /Sidebar -->

        <div id="content">

            <div class="container">
                <!-- Breadcrumbs line -->
                <div class="crumbs">
                    @Html.Raw(MvcBreadCrumbs.BreadCrumb.Display())
                </div>
                <!-- /Breadcrumbs line -->
                @RenderBody()
            </div>
            <!-- /.container -->
        </div>
    </div>
    <!--=== JavaScript ===-->

    <script type="text/javascript" src="@Links.Assets.assets.js.libs.jquery_1_10_2_min_js"></script>
    <script type="text/javascript" src="@Links.Assets.plugins.jquery_ui.jquery_ui_1_10_2_custom_min_js"></script>

    <script type="text/javascript" src="@Links.Assets.bootstrap.js.bootstrap_min_js"></script>

    <script type="text/javascript" src="@Links.Assets.assets.js.libs.lodash_compat_min_js"></script>

    <!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
        <script src="assets/js/libs/html5shiv.js"></script>
    <![endif]-->
    <!-- Smartphone Touch Events -->
    <script type="text/javascript" src="@Links.Assets.plugins.touchpunch.jquery_ui_touch_punch_min_js"></script>
    <script type="text/javascript" src="@Links.Assets.plugins.event_swipe.jquery_event_move_js"></script>
    <script type="text/javascript" src="@Links.Assets.plugins.event_swipe.jquery_event_swipe_js"></script>

    <!-- General -->
    <script type="text/javascript" src="@Links.Assets.assets.js.libs.breakpoints_js"></script>
    <script type="text/javascript" src="@Links.Assets.plugins.respond.respond_min_js"></script>
    <!-- Polyfill for min/max-width CSS3 Media Queries (only for IE8) -->
    <script type="text/javascript" src="@Links.Assets.plugins.cookie.jquery_cookie_min_js"></script>
    <script type="text/javascript" src="@Links.Assets.plugins.slimscroll.jquery_slimscroll_min_js"></script>
    <script type="text/javascript" src="@Links.Assets.plugins.slimscroll.jquery_slimscroll_horizontal_min_js"></script>


    <!-- Page specific plugins -->
    <script type="text/javascript" src="@Links.Assets.plugins.daterangepicker.moment_min_js"></script>
    <script type="text/javascript" src="@Links.Assets.plugins.daterangepicker.daterangepicker_js"></script>
    <script type="text/javascript" src="@Links.Assets.plugins.blockui.jquery_blockUI_min_js"></script>

    <script type="text/javascript" src="@Links.Assets.plugins.fullcalendar.fullcalendar_min_js"></script>
    <!-- Pickers -->
    <script type="text/javascript" src="@Links.Assets.plugins.pickadate.picker_js"></script>
    <script type="text/javascript" src="@Links.Assets.plugins.pickadate.picker_date_js"></script>
    <script type="text/javascript" src="@Links.Assets.plugins.pickadate.picker_time_js"></script>
    <script type="text/javascript" src="@Links.Assets.plugins.bootstrap_colorpicker.bootstrap_colorpicker_min_js"></script>


    <!-- Noty -->
    <script type="text/javascript" src="@Links.Assets.plugins.noty.jquery_noty_js"></script>
    <script type="text/javascript" src="@Links.Assets.plugins.noty.layouts.top_js"></script>
    <script type="text/javascript" src="@Links.Assets.plugins.noty.themes.default_js"></script>

    <!-- Forms -->
    <script type="text/javascript" src="@Links.Assets.plugins.uniform.jquery_uniform_min_js"></script>
    <script type="text/javascript" src="@Links.Assets.plugins.select2.select2_min_js"></script>
    <script type="text/javascript" src="@Links.Assets.plugins.duallistbox.jquery_duallistbox_min_js"></script>

    <script type="text/javascript" src="@Links.Assets.plugins.bootstrap_inputmask.jquery_inputmask_min_js"></script>
    <!-- Form Validation -->
    <script type="text/javascript" src="@Links.Assets.plugins.validation.jquery_validate_min_js"></script>
    <script type="text/javascript" src="@Links.Assets.plugins.validation.additional_methods_min_js"></script>
    <!-- App -->
    <script type="text/javascript" src="@Links.Assets.assets.js.app_js"></script>
    <script type="text/javascript" src="@Links.Assets.assets.js.plugins_js"></script>
    <script type="text/javascript" src="@Links.Assets.assets.js.plugins_form_components_js"></script>

    <script>
    $(document).ready(function () {
        "use strict";

        App.init(); // Init layout and core plugins
        Plugins.init(); // Init all plugins
        FormComponents.init(); // Init all form-specific plugins
        @{
            string status1 = ViewBag.Success;
            if (!string.IsNullOrEmpty(status1))
            {
                @:bootbox.alert("@status1");
                    }
        }



        $("form").submit(function (event) {
            var valid = $(this).valid();
            if (valid)
            {
                ShowLoader();
            }
           
        });

    });

    $(document).on('click', '.confirmModal', function () {
        var addressValue = $(this).attr("data-link");
        var fileName = $(this).attr("data-name");
        bootbox.confirm("Data " + fileName + ". Are you sure want to delete this record?", function (result) {
            if (result) {
                window.location.href = addressValue;
            }
        });
    });
    $(document).on('click', '.confirmModalProm', function () {
        var addressValue = $(this).attr("data-link");
        var fileName = $(this).attr("data-name");
        window.location.href = addressValue;
            
    });

    $(document).ajaxSuccess(function () {
        HideLoader();
    });

    (function ($) {
        $.fn.OpenFileManager = function (targetId, type) {
            console.log('init', this)
            $(this).on('click', function () {
                console.log('click', this)
                $('#fileManagerModal')
                    .find('iframe')
                    .attr('src', '@Links.Assets.plugins.roxyfileman.index_html?integration=custom&type=' + type + '&txtFieldId=' + targetId);
                $('#fileManagerModal').modal('show');
            })
            return this;
        };
    })(jQuery);

    function CloseFileManager() {
        $('#fileManagerModal').modal('hide');
    }
    </script>

    <!-- Demo JS -->
    <script type="text/javascript" src="@Links.Assets.assets.js.custom_js?v311"></script>
    <script type="text/javascript" src="@Links.Assets.assets.js.demo.pages_calendar_js"></script>
    <script type="text/javascript" src="@Links.Assets.assets.js.demo.ui_general_js"></script>

    <script src="@Links.Scripts.URI_js"></script>
    <script src="@Links.Scripts.gridmvc_js"></script>

    <script src="@Links.Scripts.gridmvc_ext_js"></script>
    <script src="@Links.Scripts.ladda_bootstrap.spin_min_js"></script>
    <script src="@Links.Scripts.ladda_bootstrap.ladda_min_js"></script>

    <script src="@Links.Assets.assets.js.slick_min_js"></script>
    <script src="@Links.Assets.assets.js.bootbox_min_js"></script>
    @RenderSection("FooterScript", required: false)
</body>
</html>
